import 'package:json_annotation/json_annotation.dart';

part 'save_fcm_token_req_model.g.dart';

@JsonSerializable(createFactory: false)
class SaveFCMTokenReqModel {
  final String token;
  @JsonKey(name: 'user_id')
  final int userId;

  SaveFCMTokenReqModel({
    required this.token,
    required this.userId,
  });

  Map<String, dynamic> toJson() => _$SaveFCMTokenReqModelToJson(this);
}
